#include <Adafruit_NeoPixel.h>
#ifdef __AVR__
#include <avr/power.h>
#endif

Adafruit_NeoPixel pixels(NUMPIXELS, NEOPIXEL_PIN, NEO_GRB + NEO_KHZ800);

#define DELAYVAL 50

void pixel_on() {
  pixels.clear();
  for (int i = 0; i < NUMPIXELS; i++) {

    pixels.setPixelColor(i, pixels.Color(255, 0, 0));
    pixels.setPixelColor(i + 1, pixels.Color(0, 255, 0));
    pixels.setPixelColor(i + 2, pixels.Color(0, 0, 255));

    pixels.show();

    delay(DELAYVAL);
  }
}
int idle_color = 0;
int idle_color_change = 30;

void pinel_idle() {

  if (idle_color > 255) {
    idle_color_change = -30;
  } else if (idle_color <= 0) {
    idle_color_change = 30;
  }
  idle_color += idle_color_change;

  for (int i = 0; i < NUMPIXELS; i++) {
    pixels.setPixelColor(i, pixels.Color(0,idle_color, 0));
  }

  pixels.show();
  delay(50);
}

void pixel_charging() {

  if (idle_color > 255) {
    idle_color_change = -30;
  } else if (idle_color <= 0) {
    idle_color_change = 30;
  }
  idle_color += idle_color_change;

  for (int i = 0; i < NUMPIXELS; i++) {
    pixels.setPixelColor(i, pixels.Color(0, idle_color, 0));
  }

  pixels.show();
  delay(50);
}

void pixel_charged() {

  if (idle_color > 255) {
    idle_color_change = -30;
  } else if (idle_color <= 0) {
    idle_color_change = 30;
  }
  idle_color += idle_color_change;

  for (int i = 0; i < NUMPIXELS; i++) {
    pixels.setPixelColor(i, pixels.Color(0, 0, idle_color));
  }

  pixels.show();
  delay(50);
}